/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.dao;

import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * The packaging of search results returned from a data access object.  This object works in conjunction with the
 * GridDisplayOptions to avoid returning large search result sets by returning virtual pages of results.
 *
 * @Author rnorthup
 */
public class GridDisplayResults<T>
{
	private List<T> items;

	private int totalItemCount;

	/**
	 * The virtual page of search results.
	 *
	 * @return
	 */
	public List<T> getItems()
	{
		return items;
	}

	public void setItems(List<T> items)
	{
		this.items = items;
	}

	/**
	 * The number of entities that would have been returned if the GridDisplayOptions
	 * @return
	 */
	public int getTotalItemCount()
	{
		return totalItemCount;
	}

	public void setTotalItemCount(int totalItemCount)
	{
		this.totalItemCount = totalItemCount;
	}
}