/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.dao;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class SortSpecification implements Comparable<SortSpecification>
{
	private int priority;
	private String property;
	private boolean ascending;

	public SortSpecification()
	{
	}

	public SortSpecification(String property, boolean ascending)
	{
		this.property = property;
		this.ascending = ascending;
	}

	public SortSpecification(String property, boolean ascending, int priority)
	{
		this.priority = priority;
		this.property = property;
		this.ascending = ascending;
	}

	public String getProperty()
	{
		return property;
	}

	public void setProperty(String property)
	{
		this.property = property;
	}

	public boolean isAscending()
	{
		return ascending;
	}

	public void setAscending(boolean ascending)
	{
		this.ascending = ascending;
	}

	public int compareTo(SortSpecification other)
	{
		return this.priority == other.priority? 0: this.priority < other.priority? -1: 1;
	}
}
