/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.extjs;

import com.portlandwebworks.commons.dao.GridDisplayOptions;

/**
 * This class acts as a bridge between the standard request parameters submitted by the extjs grid pager and the PWW
 * COmmons grid display options.
 *
 * @Author rnorthup
 */
public class ExtJsGridDisplayOptions extends GridDisplayOptions
{
	private Integer start;

	private Integer limit;

	public Integer getStart()
	{
		return start == null? 0: start;
	}

	public void setStart(Integer start)
	{
		this.start = start;
	}

	public Integer getLimit()
	{
		return limit == null || limit == 0? 20: limit;
	}

	public void setLimit(Integer limit)
	{
		this.limit = limit;
		this.setPageSize(limit);
	}

	public String getSort()
	{
		return getSortProperty();
	}

	public void setSort(String sort)
	{
		this.setSortProperty(sort);
	}

	public String getDir()
	{
		return isAscending()? "ASC": "DESC";
	}

	public void setDir(String dir)
	{
		this.setAscending(dir == null || dir.equals("ASC")? true: false);
	}

	@Override
	public int getPageIndex()
	{
		return getStart() / getPageSize();
	}

	@Override
	public int getPageSize()
	{
		return getLimit();
	}
}
