/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.reporting;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class ReportSummary
{
	private String displayName;

	private String drillDownField;

	private Map<String, Long> groups = new HashMap<String, Long>();
	private Map<String, String> groupsCode = new HashMap<String, String>();
	public ReportSummary()
	{
	}

	public ReportSummary(String displayName, String subject)
	{
		this.displayName = displayName;
		this.drillDownField = subject;
	}

	public String getDisplayName()
	{
		return displayName;
	}

	public void setDisplayName(String displayName)
	{
		this.displayName = displayName;
	}

	public String getDrillDownField()
	{
		return drillDownField;
	}

	public void setDrillDownField(String drillDownField)
	{
		this.drillDownField = drillDownField;
	}

	public void addSummation(String drillDownValue, Long summation)
	{
		groups.put(drillDownValue, summation);
	}
	public void addSummationCode(String drillDownValueCode, String drillDownValue)
	{
		groupsCode.put(drillDownValueCode, drillDownValue);
	}

	public Set<String> getDrillDownValues()
	{
		return new HashSet<String>(groups.keySet());
	}

	public Long getSummation(String drillDownValue)
	{
		return groups.get(drillDownValue);
	}
	public String getSummationCode(String drillDownValue)
	{
		return groupsCode.get(drillDownValue);
	}
}
