package com.portlandwebworks.commons.validation;

import org.apache.commons.beanutils.PropertyUtils;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.Date;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class DateRange implements ConstraintValidator<ValidateDateRange, Object>
{
	private String start;
    private String end;

	public void initialize(ValidateDateRange validateDateRange)
	{
        start = validateDateRange.start();
        end =  validateDateRange.end();
	}

	public boolean isValid(Object target, ConstraintValidatorContext constraintValidatorContext) {
		Date startDate = null;
		try {
			startDate = (Date)PropertyUtils.getProperty(target, start);
		}
		catch (Exception e) {
			throw new RuntimeException("Unhandled exception invoking getter property " + target.getClass().getName() + "." + start, e);
		}

		Date endDate = null;
		try {
			endDate = (Date)PropertyUtils.getProperty(target, end);
		}
		catch (Exception e) {
			throw new RuntimeException("Unhandled exception invoking getter property " + target.getClass().getName() + "." + start, e);
		}

		if (startDate != null && endDate != null) {
			return startDate.compareTo(endDate) <= 0;
		}
		
		return true;
    }
}