package com.portlandwebworks.commons.validation;

import javax.validation.Constraint;
import java.lang.annotation.*;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
@Target( { ElementType.TYPE, ElementType.ANNOTATION_TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {DateRange.class} )
@Documented
public @interface ValidateDateRange {
    String message() default "{end} should be later than {start}";
    String start();
    String end();
    Class[] groups() default {};
    Class[] payload() default {};
}